## org.apache.coyote.tomcat4
Class CoyoteInputStream

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.apache.coyote.tomcat4.CoyoteInputStream

public class CoyoteInputStream
extends javax.servlet.ServletInputStream

This class handles the readin input bytes, as well as the input buffering.

Author:
  Remy Maucherat

Constructor Summary
`CoyoteInputStream()`

Method Summary
`int` `available()`
`void` `close()` Close the stream Since we re-cycle, we can't allow the call to super.close() which would permantely disable us.
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`protected int` `readBytes()` Read bytes to the read chunk buffer.
`int` `readLine(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoyoteInputStream

    public CoyoteInputStream()

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLine

    public int readLine(byte[] b,
                        int off,
                        int len)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()

  Close the stream Since we re-cycle, we can't allow the call to super.close() which would permantely disable us.

### readBytes

    protected int readBytes()
                     throws java.io.IOException

  Read bytes to the read chunk buffer.

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.